From 7a8ac11bf50ee2ab6939c8c45eedf6df6abde964 Mon Sep 17 00:00:00 2001
From: Krishna Kumaar Natarajan <kknatara@qca.qualcomm.com>
Date: Thu, 4 Sep 2014 13:40:06 -0700
Subject: [PATCH 3/6] qcacld: Fix to notify that there is an update in Beacon
 template

Currently, When there is an update in beacon template due to additional
IEs notify flag is used to indicate LIM to trigger an update to FW. But
notify flag is not copied correctly and as a result updates are not sent
in time.

This change set will fix the existing problem by copying the notify flag
passed from SME which then triggers Beacon template update on time.

Change-Id: Ib504bddd05b35055302ce31d5cbe074d72f78932
CRs-Fixed: 719753
(cherry picked from commit 1ff6faf3f7008b0fa7d024ffc42bb9a67ad50a28)
---
 CORE/SME/src/csr/csrApiRoam.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/CORE/SME/src/csr/csrApiRoam.c b/CORE/SME/src/csr/csrApiRoam.c
index 3321150..73b3ce5 100644
--- a/CORE/SME/src/csr/csrApiRoam.c
+++ b/CORE/SME/src/csr/csrApiRoam.c
@@ -18089,6 +18089,7 @@ csrRoamUpdateAddIEs(tpAniSirGlobal pMac,
 
     pUpdateAddIEs->updateIE.smeSessionId = pUpdateIE->smeSessionId;
     pUpdateAddIEs->updateIE.append = pUpdateIE->append;
+    pUpdateAddIEs->updateIE.notify = pUpdateIE->notify;
     pUpdateAddIEs->updateIE.ieBufferlength = pUpdateIE->ieBufferlength;
     pUpdateAddIEs->updateIE.pAdditionIEBuffer = pLocalBuffer;
 
-- 
1.8.2

